Paperless-ngx Paperless-ngx – DMS via Docker auf dem NAS

Furchensumpf

Benutzer
Mitglied seit
19. Mrz 2011
Beiträge
297
Punkte für Reaktionen
8
Punkte
18
Nabend zusammen,

ich hätte da gerne mal ein Problem...^^

Ich versuche gerade bei meiner paperless-Installation verzweifelt den Standardpfad einzurichten. Ich habe hier im Forum etwas mit den Umgebungsvariablen für den Docker gefunden, die es aber jetzt anscheinend nicht mehr gibt (der Beitrag war von Sep. 2022). Laut anderen Infos, die ich gefunden habe, soll ich dazu in der docker-compose.env die Zeile "PAPERLESS_FILENAME_FORMAT={correspondent}/{created_year}/{title}" hinzufügen - was aber als Standardpfad ebenfalls nicht funktioniert - die hinzugefügten Dateien werden auch nach dem Taggen ect mit der ID als Dateinamen im Hauptverzeichnis geführt.

Hat jemand eine Idee, was ich noch machen könnte?

Zudem noch eine Frage: Gibt es eine Möglichkeit, das OCR zu verbessern? Bei mir habe ich unter "Inhalt" teilweise einfach nur wild aneinander gereihte Buchstaben...der Text hier würde dann so aussehen:

"Zudemn o
cheine Fr
age:Gib
te seineM ögli
chkeit,das OC
R zuv erbessern?"

Das ist natürlich wenig Überzeugend...^^

Besten dank

Frederic
 
Zuletzt bearbeitet:

JoSeg

Benutzer
Mitglied seit
02. Mai 2024
Beiträge
4
Punkte für Reaktionen
0
Punkte
1
Hallo zusammen!

Ich bekomme bei diesem Punkt der Installation:

sudo docker-compose run --rm webserver createsuperuser

folgende Fehlermeldung:


Creating config_webserver_run ... done
Paperless-ngx docker container starting...
Creating directory scratch directory /tmp/paperless
Adjusting permissions of paperless files. This may take a while.
Waiting for PostgreSQL to start...
Waiting for Redis...
Connected to Redis broker.
Apply database migrations...
Traceback (most recent call last):
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 289, in ensure_connection
self.connect()
File "/usr/local/lib/python3.11/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 270, in connect
self.connection = self.get_new_connection(conn_params)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/postgresql/base.py", line 275, in get_new_connection
connection = self.Database.connect(**conn_params)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/psycopg2/__init__.py", line 122, in connect
conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
psycopg2.OperationalError: could not translate host name "db" to address: Name or service not known


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/src/paperless/src/manage.py", line 10, in <module>
execute_from_command_line(sys.argv)
File "/usr/local/lib/python3.11/site-packages/django/core/management/__init__.py", line 442, in execute_from_command_line
utility.execute()
File "/usr/local/lib/python3.11/site-packages/django/core/management/__init__.py", line 436, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File "/usr/local/lib/python3.11/site-packages/django/core/management/base.py", line 412, in run_from_argv
self.execute(*args, **cmd_options)
File "/usr/local/lib/python3.11/site-packages/django/core/management/base.py", line 458, in execute
output = self.handle(*args, **options)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/core/management/base.py", line 106, in wrapper
res = handle_func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/core/management/commands/migrate.py", line 117, in handle
executor = MigrationExecutor(connection, self.migration_progress_callback)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/migrations/executor.py", line 18, in __init__
self.loader = MigrationLoader(self.connection)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/migrations/loader.py", line 58, in __init__
self.build_graph()
File "/usr/local/lib/python3.11/site-packages/django/db/migrations/loader.py", line 235, in build_graph
self.applied_migrations = recorder.applied_migrations()
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/migrations/recorder.py", line 81, in applied_migrations
if self.has_table():
^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/migrations/recorder.py", line 57, in has_table
with self.connection.cursor() as cursor:
^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 330, in cursor
return self._cursor()
^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 306, in _cursor
self.ensure_connection()
File "/usr/local/lib/python3.11/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 288, in ensure_connection
with self.wrap_database_errors:
File "/usr/local/lib/python3.11/site-packages/django/db/utils.py", line 91, in __exit__
raise dj_exc_value.with_traceback(traceback) from exc_value
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 289, in ensure_connection
self.connect()
File "/usr/local/lib/python3.11/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 270, in connect
self.connection = self.get_new_connection(conn_params)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/postgresql/base.py", line 275, in get_new_connection
connection = self.Database.connect(**conn_params)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/psycopg2/__init__.py", line 122, in connect
conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
django.db.utils.OperationalError: could not translate host name "db" to address: Name or service not known

ERROR: 1


Was mache ich falsch?

Beste Grüße
JoSeg
 

alexhell

Benutzer
Sehr erfahren
Mitglied seit
13. Mai 2021
Beiträge
2.812
Punkte für Reaktionen
849
Punkte
154
Dazu bräuchten man mehr Infos. Der Fehler steht da doch. Er kann keine DB Verbindung aufbauen, weil er den Host 'db' nicht kennt. Dafür müsste man wissen wie du es konfiguriert hast. Also die Compose.
 

JoSeg

Benutzer
Mitglied seit
02. Mai 2024
Beiträge
4
Punkte für Reaktionen
0
Punkte
1
Hallo!

Danke schon einmal für dir rasche Rückmeldung.
Ich habe den letzten Befehl noch einmal ausgeführt und den Port in der config auf 34350 geändert, weil da was von Port stand.
Bekomme jetzt diese Fehlermeldung.

*****
volume1/docker/paperlessngx/config$ sudo docker-compose run --rm webserver createsuperuser
Starting redis ... done
Starting postgres ... done
Creating config_webserver_run ... done
Paperless-ngx docker container starting...
Creating directory scratch directory /tmp/paperless
Adjusting permissions of paperless files. This may take a while.
Waiting for PostgreSQL to start...
Waiting for Redis...
Connected to Redis broker.
Apply database migrations...
Traceback (most recent call last):
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 289, in ensure_connection
self.connect()
File "/usr/local/lib/python3.11/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 270, in connect
self.connection = self.get_new_connection(conn_params)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/postgresql/base.py", line 275, in get_new_connection
connection = self.Database.connect(**conn_params)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/psycopg2/__init__.py", line 122, in connect
conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
psycopg2.OperationalError: connection to server at "db" (172.18.0.4), port 5432 failed: Connection refused
Is the server running on that host and accepting TCP/IP connections?


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/src/paperless/src/manage.py", line 10, in <module>
execute_from_command_line(sys.argv)
File "/usr/local/lib/python3.11/site-packages/django/core/management/__init__.py", line 442, in execute_from_command_line
utility.execute()
File "/usr/local/lib/python3.11/site-packages/django/core/management/__init__.py", line 436, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File "/usr/local/lib/python3.11/site-packages/django/core/management/base.py", line 412, in run_from_argv
self.execute(*args, **cmd_options)
File "/usr/local/lib/python3.11/site-packages/django/core/management/base.py", line 458, in execute
output = self.handle(*args, **options)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/core/management/base.py", line 106, in wrapper
res = handle_func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/core/management/commands/migrate.py", line 117, in handle
executor = MigrationExecutor(connection, self.migration_progress_callback)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/migrations/executor.py", line 18, in __init__
self.loader = MigrationLoader(self.connection)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/migrations/loader.py", line 58, in __init__
self.build_graph()
File "/usr/local/lib/python3.11/site-packages/django/db/migrations/loader.py", line 235, in build_graph
self.applied_migrations = recorder.applied_migrations()
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/migrations/recorder.py", line 81, in applied_migrations
if self.has_table():
^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/migrations/recorder.py", line 57, in has_table
with self.connection.cursor() as cursor:
^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 330, in cursor
return self._cursor()
^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 306, in _cursor
self.ensure_connection()
File "/usr/local/lib/python3.11/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 288, in ensure_connection
with self.wrap_database_errors:
File "/usr/local/lib/python3.11/site-packages/django/db/utils.py", line 91, in __exit__
raise dj_exc_value.with_traceback(traceback) from exc_value
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 289, in ensure_connection
self.connect()
File "/usr/local/lib/python3.11/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/base/base.py", line 270, in connect
self.connection = self.get_new_connection(conn_params)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/django/db/backends/postgresql/base.py", line 275, in get_new_connection
connection = self.Database.connect(**conn_params)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/site-packages/psycopg2/__init__.py", line 122, in connect
conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
django.db.utils.OperationalError: connection to server at "db" (172.18.0.4), port 5432 failed: Connection refused
Is the server running on that host and accepting TCP/IP connections?

eERROR: 1
*****


docker-compose.yml:
*****
version: "3.6"
services:
broker:
container_name: redis
image: redis:latest
restart: unless-stopped
volumes:
- ../redis:/data

db:
container_name: postgres
image: postgres:15
restart: unless-stopped
volumes:
- ../pgdata:/var/lib/postgresql/data
- /volume1/docker/paperlessngx/exportpostgres:/var/lib/postgresql/data/backup
environment:
POSTGRES_DB: paperless
POSTGRES_USER: paperless
POSTGRES_PASSWORD: paperless

webserver:
container_name: paperlessngx
image: ghcr.io/paperless-ngx/paperless-ngx:latest
restart: unless-stopped
depends_on:
- db
- broker
ports:
- 34350:8000
healthcheck:
test: ["CMD", "curl", "-fs", "-S", "--max-time", "2", "http://localhost:8000"]
interval: 30s
timeout: 10s
retries: 5
volumes:
- ../data:/usr/src/paperless/data
- ../media:/usr/src/paperless/media
- ../export:/usr/src/paperless/export
- ../consume:/usr/src/paperless/consume
env_file: docker-compose.env
environment:
PAPERLESS_REDIS: redis://broker:6379
PAPERLESS_DBHOST: db

volumes:
data:
media:
pgdata:
redisdata:
*****

docker-compose-env
*****
# The UID and GID of the user used to run paperless in the container. Set this
# to your UID and GID on the host so that you have write access to the
# consumption directory.
#USERMAP_UID=1000
#USERMAP_GID=1000

# Additional languages to install for text recognition, separated by a
# whitespace. Note that this is
# different from PAPERLESS_OCR_LANGUAGE (default=eng), which defines the
# language used for OCR.
# The container installs English, German, Italian, Spanish and French by
# default.
# See https://packages.debian.org/search?keywords=tesseract-ocr-&searchon=names&suite=buster
# for available languages.
#PAPERLESS_OCR_LANGUAGES=tur ces

###############################################################################
# Paperless-specific settings #
###############################################################################

# All settings defined in the paperless.conf.example can be used here. The
# Docker setup does not use the configuration file.
# A few commonly adjusted settings are provided below.

# This is required if you will be exposing Paperless-ngx on a public domain
# (if doing so please consider security measures such as reverse proxy)
#PAPERLESS_URL=https://paperless.example.com

# Adjust this key if you plan to make paperless available publicly. It should
# be a very long sequence of random characters. You don't need to remember it.
#PAPERLESS_SECRET_KEY=change-me

# Use this variable to set a timezone for the Paperless Docker containers. If not specified, defaults to UTC.
#PAPERLESS_TIME_ZONE=America/Los_Angeles
PAPERLESS_TIME_ZONE=Europe/Berlin

# The default language to use for OCR. Set this to the language most of your
# documents are written in.
#PAPERLESS_OCR_LANGUAGE=eng
PAPERLESS_OCR_LANGUAGE=deu

# Set if accessing paperless via a domain subpath e.g. https://domain.com/PATHPREFIX and using a reverse-proxy like traefik or nginx
#PAPERLESS_FORCE_SCRIPT_NAME=/PATHPREFIX
#PAPERLESS_STATIC_URL=/PATHPREFIX/static/ # trailing slash required
*****

Beste Grüße
JoSeg
 

alexhell

Benutzer
Sehr erfahren
Mitglied seit
13. Mai 2021
Beiträge
2.812
Punkte für Reaktionen
849
Punkte
154
sudo docker-compose logs db
Ich würde dir empfehlen dich mal in Docker bisschen einzuarbeiten. Wenn du Paperless betreiben willst, dann solltest du wenigstens die Basics kennen. Sonst wirst du nie ein Problem alleine lösen können. Und im schlimmsten Fall sind all deine Dokumente weg.
 
  • Like
Reaktionen: unsicher

JoSeg

Benutzer
Mitglied seit
02. Mai 2024
Beiträge
4
Punkte für Reaktionen
0
Punkte
1
postgres | The files belonging to this database system will be owned by user "postgres".
postgres | This user must also own the server process.
postgres |
postgres | The database cluster will be initialized with locale "en_US.utf8".
postgres | The default database encoding has accordingly been set to "UTF8".
postgres | The default text search configuration will be set to "english".
postgres |
postgres | Data page checksums are disabled.
postgres |
postgres | initdb: error: directory "/var/lib/postgresql/data" exists but is not empty
postgres | initdb: hint: If you want to create a new database system, either remove or empty the directory "/var/lib/postgresql/data" or run initdb with an argument other than "/var/lib/postgresql/data".
 

alexhell

Benutzer
Sehr erfahren
Mitglied seit
13. Mai 2021
Beiträge
2.812
Punkte für Reaktionen
849
Punkte
154
Da siehst du doch das Problem und die Lösung direkt.
 

Monacum

Benutzer
Sehr erfahren
Maintainer
Mitglied seit
03. Jan 2022
Beiträge
2.133
Punkte für Reaktionen
978
Punkte
204
Ja. Siehe auch meine Fußnote hier.
 

Kenji

Benutzer
Mitglied seit
09. Feb 2024
Beiträge
49
Punkte für Reaktionen
7
Punkte
58
Hallo Zusammen,

hab noch eine Bescheidene Frage. Beim export Befehl via "
Code:
document_exporter ../export -z
"
bekomme ich eine Fehlermeldung FileNotFoundError von einer Datei mit Pfad (original). Nun wurde aber unter Original und Archiv keine Datei Abgelegt oder die Ordner erstellt. Auch finde ich in Paperless per Suche keine solche Dateien mit der Bezeichnung.
Ich kann auschließen das ich manuell welche im Pfad gelöscht habe, wie bekomme ich das gelöst? Pfad anlegen und Datei mit Bennenung hinzufügen? Ist das der Save Weg?
 

Monacum

Benutzer
Sehr erfahren
Maintainer
Mitglied seit
03. Jan 2022
Beiträge
2.133
Punkte für Reaktionen
978
Punkte
204
Nein. Dokumente und Datenbank müssen zusammenpassen, man darf nicht einfach irgendwas in der Datenbank hinzufügen oder einfach irgendwo Dokumente in die Ordnerstruktur kopieren. Die Datenbank weiß dann schlicht nichts davon und so kann das System nicht funktionieren.

Das ist genau der Nachteil von diesen ganzen Anleitungen von Marius und Co., es wird einfach irgendwas installiert, ohne sich vorher mal die Anleitung genau durchzulesen und es fehlt ein grundsätzliches Verständnis dafür, wie Paperless-ngx funktioniert. Paperless-ngx ist nicht dafür vorgesehen, dass man irgendetwas manuell in der Ordnerstruktur ändert, das einzige, was man einfach so in den Ordnern machen kann, ist, Dokumente heraus zu kopieren oder ganze Ordner aber irgendwelche Manipulationen müssen über die Oberfläche vorgenommen werden, sonst hat man irgendwann ein sehr großes Problem.
 
  • Like
Reaktionen: Wildbill und unsicher

Dog6574

Benutzer
Mitglied seit
15. Sep 2014
Beiträge
180
Punkte für Reaktionen
1
Punkte
18
Hmmm ich führe folgendes Script aus:

volume1/docker/paperlessngx
sudo docker-compose exec webserver document_exporter ../export

Dann kommt:

Aktueller Status: 14 (Unterbrochen)
Standardausgabe/Fehler:

/bin/bash: volume1/docker/paperlessngx: No such file or directory

no configuration file provided: not found

Auf meinem NAS ist es aber installiert unter:

/docker/paperlessngx
 

alexhell

Benutzer
Sehr erfahren
Mitglied seit
13. Mai 2021
Beiträge
2.812
Punkte für Reaktionen
849
Punkte
154
volume1/docker/paperlessngx
Was soll das denn machen? Das ist nur ein falscher Pfad...
Falls du den Ordner wechseln willst dann heißt das
Code:
cd /volume1/docker/paperlessngx
Beachte auch das / am Anfang.

Befass dich doch endlich mal mit den Basics. Wenn du dazu keine Lust hast, dann lass auch solche Vorhaben wie Paperless zu betreiben. Oder such dir einen Fachmann der es dir einrichtet.
 
  • Like
Reaktionen: NSFH

Monacum

Benutzer
Sehr erfahren
Maintainer
Mitglied seit
03. Jan 2022
Beiträge
2.133
Punkte für Reaktionen
978
Punkte
204

Paperless-ngx v2.8.0

Repository: paperless-ngx/paperless-ngx · Tag: v2.8.0 · Commit: a0f1f6f · Released by: github-actions[bot]

paperless-ngx 2.8.0​

Breaking Changes​

  • Fix: remove admin.logentry perm, use admin (staff) status @shamoon (#6380)

Notable Changes​

  • Feature: global search, keyboard shortcuts / hotkey support @shamoon (#6449)
  • Feature: custom fields filtering & bulk editing @shamoon (#6484)
  • Feature: customizable fields display for documents, saved views & dashboard widgets @shamoon (#6439)
  • Feature: document history (audit log UI) @shamoon (#6388)
  • Chore: Convert the consumer to a plugin @stumpylog (#6361)

Features​

  • Chore(deps): Bump all allowed backend packages @stumpylog (#6562)
  • Feature: global search, keyboard shortcuts / hotkey support @shamoon (#6449)
  • Feature: customizable fields display for documents, saved views & dashboard widgets @shamoon (#6439)
  • Feature: document history (audit log UI) @shamoon (#6388)
  • Enhancement: refactor monetary field @shamoon (#6370)
  • Chore: Convert the consumer to a plugin @stumpylog (#6361)

Bug Fixes​

  • Fix: always check workflow filter_mailrule if set @shamoon(#6474)
  • Fix: use responsive tables for management lists @DlieBG (#6460)
  • Fix: password reset done template @shamoon (#6444)
  • Fix: show message on empty group list @DlieBG (#6393)
  • Fix: remove admin.logentry perm, use admin (staff) status @shamoon (#6380)
  • Fix: dont dismiss active alerts on "dismiss completed" @shamoon (#6364)
  • Fix: Allow lowercase letters in monetary currency code field @shamoon (#6359)
  • Fix: Allow negative monetary values with a current code @stumpylog (#6358)

Maintenance​

 
  • Like
Reaktionen: NSFH und unsicher

Monacum

Benutzer
Sehr erfahren
Maintainer
Mitglied seit
03. Jan 2022
Beiträge
2.133
Punkte für Reaktionen
978
Punkte
204
  • Like
Reaktionen: NSFH

Furchensumpf

Benutzer
Mitglied seit
19. Mrz 2011
Beiträge
297
Punkte für Reaktionen
8
Punkte
18
Könnte evt. jemand nach meinem OCR-Problem bei 1.121 schauen? Das mit den Pfaden habe ich zwischenzeitlich lösen können.

Kann paperless eigentlich die Dokumente auch gerade ausrichten? Da habe ich so nichts zu gefunden.
 

Monacum

Benutzer
Sehr erfahren
Maintainer
Mitglied seit
03. Jan 2022
Beiträge
2.133
Punkte für Reaktionen
978
Punkte
204

Paperless-ngx v2.8.2

Repository: paperless-ngx/paperless-ngx · Tag: v2.8.2 · Commit: 47ce797 · Released by: github-actions[bot]

paperless-ngx 2.8.2​

Bug Fixes​

  • Fix: Restore the compression of static files for x86_64 @stumpylog (#6627)
  • Fix: make backend monetary validation accept unpadded decimals @shamoon(#6626)
  • Fix: allow bulk edit with existing fields @shamoon (#6625)
  • Fix: table view doesnt immediately display custom fields on app startup @shamoon(#6600)
  • Fix: dont use limit in subqueries in global search for mariadb compatibility @shamoon (#6611)
  • Fix: exclude admin perms from group permissions serializer @shamoon (#6608)
  • Fix: global search text illegible in light mode @shamoon (#6602)
  • Fix: document history text color illegible in light mode @shamoon (#6601)
 
  • Like
Reaktionen: unsicher

Monacum

Benutzer
Sehr erfahren
Maintainer
Mitglied seit
03. Jan 2022
Beiträge
2.133
Punkte für Reaktionen
978
Punkte
204
Kann paperless eigentlich die Dokumente auch gerade ausrichten? Da habe ich so nichts zu gefunden.
OCRmyPDF, welches bei Paperless-ngx zur Anwendung kommt, kann das in bestimmtem Maße. Manuell kannst du nur Dokumente in 90-Grad-Schritten drehen.
 


 

Kaffeautomat

Wenn du das Forum hilfreich findest oder uns unterstützen möchtest, dann gib uns doch einfach einen Kaffee aus.

Als Dankeschön schalten wir deinen Account werbefrei.

:coffee:

Hier gehts zum Kaffeeautomat 

 
 
  AdBlocker gefunden!

Du bist nicht hier, um Support für Adblocker zu erhalten. Dein Adblocker funktioniert bereits ;-)

Klar machen Adblocker einen guten Job, aber sie blockieren auch nützliche Funktionen.

Das Forum wird mit hohem technischen, zeitlichen und finanziellen Aufwand kostenfrei zur Verfügung gestellt. Wir zeigen keine offensive Werbung und bemühen uns um eine dezente Integration.

Bitte unterstütze dieses Forum, in dem du deinen Adblocker für diese Seite deaktivierst.

Du kannst uns auch über unseren Kaffeautomat einen Kaffe ausgeben oder ein PUR Abo abschließen und das Forum so werbefrei nutzen.

Vielen Dank für Deine Unterstützung!